{
  "info": "",
  "script_in_use": true,
  "save":["timec_end_time"],
  "field": {
      "timec_employee_id": [
        ["if", ["timec_timecard_state", "=", "started"],
          [
            ["timec_end_time","=", ["dt.currentUtcString"]],
            ["setWorkTime"]
          ]
        ]
      ],
      "timec_timecard_state": [],
      "timec_salary_type": [],
      "timec_work_shift": [],
      "timec_start_time": [
        ["setWorkTime"]
      ],
      "timec_end_time": [
        ["setWorkTime"]
      ],
      "timec_work_time": [],
      "timec_unit_price": [],
      "timec_end_reason": [],
      "timec_transfer_id": [],
      "timec_info": []
  },
  "function": {
    "setWorkTime": [
      ["timec_work_time","=", ["hourDifferenceTimestamp", ["timec_start_time", "timec_end_time"]]]
    ]
  }
}
